Bug 17047 - Startupposition conflicts with named
Startupposition conflicts with named
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
  Show dependency treegraph
Reported: 2000-08-28 14:38 EDT by Enrico Scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-30 11:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-08-28 14:38:11 EDT
`man xinetd.conf' says nearly `only_from' (paragraph d):

d) a  host name.  When a connection is made to xinetd, a reverse
    lookup is performed, and the canonical name returned is  com-
    pared  to  the  specified host name.  You may also use domain
    names in the form of .domain.com.  If the reverse  lookup  of
    the client's IP is within .domain.com, a match occurs.

When running an own named (nameserver is use of e.g

| only_from = host.local.zone

results in a parsing error during startup. 

This happens because xinetd starts at position 50, but named laterly at pos
55. So DNS lookups done by xinetd will fail.
Comment 1 Trond Eivind Glomsrxd 2000-08-29 11:20:48 EDT
Hmmm.... will fix
Comment 2 Trond Eivind Glomsrxd 2000-08-30 11:34:20 EDT

Note You need to log in before you can comment on or make changes to this bug.